Bug 426378 - 3.8.3: Ajax Optimizations for Showing Bug Activity Log
3.8.3: Ajax Optimizations for Showing Bug Activity Log
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: User Interface (Show other bugs)
3.2
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
2 hours
:
Depends On:
Blocks: RHBZ30UpgradeTracker 406181
  Show dependency treegraph
 
Reported: 2007-12-20 11:08 EST by David Lawrence
Modified: 2013-06-24 00:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 22:25:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2007-12-20 11:08:54 EST
+++ This bug was initially created as a clone of Bug #406181 +++

Description:
On certain pages Ajax optimizations are used to speed up page loading time.

Function Requirements:
When clicking on Bug Activity links on a bug report, the list is displayed
inline instead of on a different page. Pretty much self contained on the backend
in Bugzilla/Ajax.pm and ajax.cgi.
Comment 1 David Lawrence 2007-12-20 13:31:55 EST
LOC Estimation:

js/bugs_activity.js: 32
templates: 16
selenium test to verify proper operation of bug activity list: 2 hours

LOC Total: 48
Comment 2 David Lawrence 2008-04-01 16:10:26 EDT
I am not particularly sure we need this feature any more and for the sake of
time I feel we could drop it for now and not block 3.2 for it. Originally this
was just done as a convenience by myself with out any real push for it.
Something to help me gain more experience with javascript and ajax. It is neat
that you can view the bug change log without going to a new screen but from a
functional standpoint it is not really necessary.

What do you think?

Dave
Comment 3 Noura El hawary 2008-04-01 20:32:19 EDT
Yeah I agree with you Dave, It is not really necessary.
Comment 4 David Lawrence 2008-04-01 22:25:18 EDT
Ok, will close for now then unless someone mentions it in the feedback leading
up to final release. If anyone even notices it is gone.

Note You need to log in before you can comment on or make changes to this bug.